package com.gyee.wisdom.dataadapter.websocket;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

@Configuration
//@PropertySource("classpath:/publish.properties")
public class PublishConfig {

    @Value("${publish.rtdb_scan_interval:100}")
    private int rtdbScanInterval;

    @Value("${publish.publish_interval:500}")
    private int publishInterval;

    public int getRtdbScanInterval() {
        return  rtdbScanInterval;
    }

    public int getPublishInterval() {
        return  publishInterval;
    }


}